BLKDISCARD(8)

BEZEICHNUNG
blkdiscard - Sektoren auf einem Gerät verwerfen

ÜBERSICHT
blkdiscard [Optionen] [-o Versatz] [-l Länge] Gerät

BESCHREIBUNG
blkdiscard wird zum Verwerfen von Gerätesektoren verwendet. Dies ist für Solid State Drives (SSDs) und sonstige Geräte mit geringem Speicherplatz nützlich. Im Gegensatz zu fstrim(8) wird dieser Befehl direkt auf dem blockorientierten Gerät angewendet.

Per Vorgabe verwirft blkdiscard alle Blöcke eines Gerätes. Zum Anpassen des Verhaltens sind Optionen verfügbar, die auf Bereichen oder Größenangaben basieren, wie nachfolgend erläutert.

Das Argument Gerät ist der Pfadname des blockorientierten Gerätes.

WARNUNG: Alle Data im verworfenen Bereich des Gerätes gehen verloren!

OPTIONEN
Die Argumente für Länge und Versatz können durch die Binärsuffixe KiB=1024, MiB1024*1024 und so weiter für GiB, TiB, PiB und EiB ergänzt werden, wobei das »iB« nicht erforderlich ist. Zum Beispiel ist »K« gleichbedeutend mit »KiB«. Möglich sind außerdem die Dezimalsuffixe KB=1000, MB=1000*1000, GB, PB und EB.

-o, --offset Versatz
    ist der Byte-Versatz des Gerätes, wo mit der Verwerfung begonnen werden soll. Der angegebene Wert wird an der Sektorengröße des Gerätes ausgerichtet. Der Vorgabewert ist 0.

-l, --length Länge
    bezeichnet die Anzahl der zu verwerfenden Bytes (vom Anfangspunkt gezählt). Der angegebene Wert wird an der Sektorengröße des Gerätes ausgerichtet. Falls dieser Wert das Ende des Gerätes überschreitet, stoppt blkdiscard, wenn das Ende der Gerätegröße erreicht ist. Der Vorgabewert ist das Ende des Gerätes.

-p, --step Länge
    gibt die während eines Durchlaufs zu verwerfenden Bytes an. In der Voreinstellung werden alle Bytes mit einem Ioctl-Aufruf verworfen.

-s, --secure
    führt ein sicheres Verwerfen aus. Das ist das gleiche wie ein reguläres Verwerfen, außer dass alle Kopien der verworfenen Blöcke, die möglicherweise in der Müll-Sammlung erzeugt wurden, auch verworfen werden müssen. Dieser Vorgang muss vom jeweiligen Gerät unterstützt werden.

-z, --zeroout
    füllt mit Nullen, statt zu verwerfen.

-v, --verbose
    zeigt die ausgerichteten Werte für Versatz und Länge an. Wenn die Option --step angegeben ist, wird der Fortschritt des Verwerfungsvorgangs im Sekundentakt angezeigt.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt diese Hilfe an und beendet das Programm.

AUTOR
Lukas Czerner (lczerner@redhat.com)

SIEHE AUCH
fstrim(8)

VERFÜGBARKEIT
Der Befehl blkdiscard ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Dr. Tobias Quathamer <toddy@debian.org> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.